<template src="./create.htm"></template>

<script>

    import Vue from 'vue';
    import CreateInfo from './components/info/CreateInfoComponent.vue';
    import CreateProducts from './components/products/CreateProductsComponent.vue';

    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import HandleEntityMixin from '../../../mixins/entities/handleEntityMixin.js';
    import HandleOrderMixin from '../../mixins/handleOrderMixin.js';
    import ValidationErrorsMixin from '../../../mixins/validationErrorsMixin.js';

    Vue.component('create-info', CreateInfo);
    Vue.component('create-products', CreateProducts);

    export default {

        data() {

            return {

            }
        },

        mixins: [
            breadcrumbsMixin,
            HandleEntityMixin,
            HandleOrderMixin,
            ValidationErrorsMixin
        ],

        methods: {

            /**
             * Create order from store, and redirect to given action (index, create).
             **/
            createOrder(action) {

                this.handleEntity('order', action, route('admin.orders.store'));
            }
        }
    }

</script>